{% extends '@HeimrichHannotTwigTemplates/forms/form_row.html.twig' %}

{% block field %}

    <p class="h3">Vorschau</p>
    <table id="table-preview" class="table table-striped mt-5">
        <tbody>
        {% for name, value in widget.formValues %}
            {% if value != '' and widget.formLabels[name] is defined and widget.formLabels[name] != '' %}
            <tr>
                <td>
                    {{ widget.formLabels[name]|replace({'_': ' '}) }}
                </td>
                <td>{{ value|resolve_esi|nl2br }}</td>
            </tr>
            {% endif %}
        {% endfor %}
        </tbody>
    </table>
    <div class="d-block btn-row-preview mb-3">
        <button id="btn-print" type="button" class="btn btn-outline-dark">Drucken</button>
    </div>
    <link href="/bundles/dynamicforms/print.min.css" rel="stylesheet">
    <script type="application/javascript">
        const script = document.createElement('script');
        script.src = '/bundles/dynamicforms/print.min.js';
        document.head.append(script);
        document.querySelector('#btn-print').addEventListener('click', () => printJS({
            printable: 'table-preview',
            type: 'html',
            maxWidth: false,
            targetStyles: ['*'],
            header: '<header><h1>Ihre Vorsorgeanfrage</h1><h3>Daten vom {{ widget.formValues.datum }}</h3></header>'
        }));
    </script>
{% endblock %}
